import request from '@/utils/request'

// 查询资质证书信息列表
export function listInfo(query) {
    return request({
        url: '/crmQualificationCertificateInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询资质证书信息详细
export function getInfo(id) {
    return request({
        url: '/crmQualificationCertificateInfo/' + id,
        method: 'get'
    })
}

// 新增资质证书信息
export function addInfo(data) {
    return request({
        url: '/crmQualificationCertificateInfo',
        method: 'post',
        data: data
    })
}

// 修改资质证书信息
export function updateInfo(data) {
    return request({
        url: '/crmQualificationCertificateInfo',
        method: 'put',
        data: data
    })
}

// 删除资质证书信息
export function delInfo(id) {
    return request({
        url: '/crmQualificationCertificateInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmQualificationCertificateInfo/delete',ids)
}